import axios from "@/tools/axios.js";
//登录获取token
export const wxGetOpenid =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'wxGetOpenid',data:data})
}
//册过
export const mH5Register =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/Register',data:data})
}
//获取可用体检机构
export const GetOrgEnableList =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetOrgEnableList',data:data})
}
//查询用户本年度体检记录
export const GetPersonRecode =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetPersonRecode',data:data})
}
//获取可用体检机构日历
export const GetEnableCalendar =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetEnableCalendar',data:data})
}

//开始预约
export const StartYuYue =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/StartYuYue',data:data})
}

//上传图片
export const UpFile =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/UpFile',data:data})
}
//上传图片base64
export const UpFileBase64 =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/UpFileBase64',data:data})
}

//获取体检报告详情
export const GetPersonReportDetail =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetPersonReportDetail',data:data})
}
//用户扫码跳转输入身份证和电话 查询用户体检详情和pdf
export const H5GetPersonReportDetail =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'H5GetPersonReportDetail',data:data})
}

//APP嵌套h5登录
export const AppLogin =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'AppLogin',data:data})
}

//大兴APP获取登录用户信息
export const AppGetUserInfo =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'AppGetUserInfo',data:data})
}

//获取行业列表
export const GetIndustryList =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetIndustryList',data:data})
}

//根据链接获取体检那边的pdf
export const GetPersonPdfDetailByLink =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/GetPersonPdfDetailByLink',data:data,responseType: 'blob'})
}

//获取config配置信息
export const GetConfigInArray =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'GetConfigInArray',data:data})
}
//获取自己的预约记录
export const H5GetAppointmentRecord =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/H5GetAppointmentRecord',data:data})
}
//判断是否过65
export const isAgeOver65 =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/isAgeOver65',data:data})
}
//判断是否过65
export const CancelYuYue =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/mH5/CancelYuYue',data:data})
}